Bug 485348 - timelimit not honored in some cases
timelimit not honored in some cases
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Database - Indexes/Searches (Show other bugs)
1.1.3
All Linux
low Severity medium
: ---
: ---
Assigned To: Noriko Hosoi
Chandrasekar Kannan
:
Depends On:
Blocks: 249650 FDS1.2.0
  Show dependency treegraph
 
Reported: 2009-02-12 19:09 EST by Noriko Hosoi
Modified: 2015-01-04 18:36 EST (History)
3 users (show)

See Also:
Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 19:10:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cvs commit message (860 bytes, text/plain)
2009-02-12 19:11 EST, Noriko Hosoi
no flags Details

  None (edit)
Description Noriko Hosoi 2009-02-12 19:09:51 EST
Description of problem:
Duplicating bz 484157 for RHDS8.1:
484157 -  rhds71 (from rhcs71) timelimit not honored in some cases

Steps to reproduce the problem:
0. import a large ldif file (>= 500K entries)
1. Run ldapsearch with an range search as well as the time limit.  The attribute in the range search filter should be indexed.
ldapsearch -h <host> -p <port> -D "cn=directory manager" -w <pw> -b "<base_dn>" -l <timelimit> "(&(attr>=value_1)(attr<=value_2))"

If the ldapsearch command finishes much longer than <timelimit> (e.g., <timelimit> + 10 seconds) and the return code is 3 (time limit exceeded), the bug is reproduced.

Expected result: the command finishes in (<timelimit> + 2) seconds.
Comment 1 Noriko Hosoi 2009-02-12 19:11:20 EST
Created attachment 331783 [details]
cvs commit message

Checked in into CVS HEAD.
Comment 2 Yi Zhang 2009-04-08 19:43:12 EDT
by the way, I have 300k entries in DB before i fetch this ldapsearch

[root@mv32a-vm slapd-mv32a-vm]# /usr/lib/mozldap/ldapsearch -D "CN=DIRECTORY MANAGER" -w redhat123 -s sub -b "dc=example,dc=com" -l 1 "uid=*DB*663*" dn
version: 1
dn: uid=DBroca6635, ou=Product Testing, dc=example,dc=com

dn: uid=VLoadbuil9663, ou=Product Development, dc=example,dc=com
ldap_search: Timelimit exceeded


bug verified, closed
Comment 3 Chandrasekar Kannan 2009-04-29 19:10:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html

Note You need to log in before you can comment on or make changes to this bug.